Update agent details using XanoScript
Update agent details using XanoScript
Authentication: required
PUT
/
workspace
/
{workspace_id}
/
agent
/
{agent_id}
Update agent details using XanoScript
curl --request PUT \
--url https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/agent/{agent_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: text/x-xanoscript' \
--data 'agent foo {
canonical = "custom"
llm = {
type : "anthropic"
system_prompt: "You are a helpful AI Agent."
max_steps : 5
prompt : ""
model : "claude-4-sonnet-20250514"
temperature. : 1
reasoning : true
baseURL : ""
headers : ""
}
}
'import requests
url = "https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/agent/{agent_id}"
payload = "agent foo {\n canonical = \"custom\"\n llm = {\n type : \"anthropic\"\n system_prompt: \"You are a helpful AI Agent.\"\n max_steps : 5\n prompt : \"\"\n model : \"claude-4-sonnet-20250514\"\n temperature. : 1\n reasoning : true\n baseURL : \"\"\n headers : \"\"\n }\n}\n"
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "text/x-xanoscript"
}
response = requests.put(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'text/x-xanoscript'},
body: 'agent foo {\n canonical = "custom"\n llm = {\n type : "anthropic"\n system_prompt: "You are a helpful AI Agent."\n max_steps : 5\n prompt : ""\n model : "claude-4-sonnet-20250514"\n temperature. : 1\n reasoning : true\n baseURL : ""\n headers : ""\n }\n}\n'
};
fetch('https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/agent/{agent_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1,
"created_at": "2023-04-19 21:01:32+0000",
"updated_at": "2023-04-19 21:01:32+0000",
"name": "Agent Test",
"description": "My agent description",
"branch": "v1",
"llm": "anthropic",
"tag": [
"example tag"
],
"xanoscript": {
"value": "<string>",
"message": "<string>"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Body
text/x-xanoscript
The body is of type string.
Example:
"agent foo {\n canonical = \"custom\"\n llm = {\n type : \"anthropic\"\n system_prompt: \"You are a helpful AI Agent.\"\n max_steps : 5\n prompt : \"\"\n model : \"claude-4-sonnet-20250514\"\n temperature. : 1\n reasoning : true\n baseURL : \"\"\n headers : \"\"\n }\n}\n"
Response
Success!
Show child attributes
Show child attributes
Was this page helpful?
Retrieve a specific agent by ID
Previous
Delete an agent permanently. This action cannot be undone
Next
⌘I
Update agent details using XanoScript
